> For the complete documentation index, see [llms.txt](https://docs.chamilo.org/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.chamilo.org/1.11.x-de/entwicklerhandbuch/theming_through_css/the_stylesheets_inclusion_mechanism.md).

# Der Mechanismus zur Einbeziehung von Stylesheets

Wenn Sie jemals mehr Stylesheets in die Liste aufnehmen möchten, ist dies der vollständige Ablauf:

* ein Skript startet (z.B. /user\_portal.php)
* es enthält global.inc.php
* global.inc.php nennt die Methode Display::display\_header() (in main/inc/lib/display.lib.php)
* display\_header ruft das Template auf። set\_css\_files() methos
* set*css\_files () bereitet ein Array mit dem CSS zum Laden vor und bereitet es als\_css\_file\_to\_string*
* Das anfängliche Skript lädt eine Vorlage (.tpl) von main/template/default/
* Die Vorlage enthält die Vorlage main/template/default/layout/main\_header.tpl
* Der Hauptladen\_header.tpl head.tpl (im selben Ordner)
* head.tpl lädt das Array *css\_file\_to\_string* um das CSS im

Wenn Sie ein neues Stylesheet global konfigurieren oder die Reihenfolge ändern möchten, in der es geladen wird, und wenn Sie den vorherigen Flow verfolgt haben, wissen Sie jetzt, dass der beste Ort dafür die Methode Template::setCssFiles() ist.

Dies ist die bisher beste Methode in Chamilo 1.10, aber in `2.0` mit der vollen Fähigkeit, Vorlagen zu entfesseln, sollten Sie in der Lage sein, das neue CSS direkt zu Ihrer Vorlage hinzuzufügen.


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.chamilo.org/1.11.x-de/entwicklerhandbuch/theming_through_css/the_stylesheets_inclusion_mechanism.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
